/**
 * Copyright 2008 Bluestem Software LLC.  All Rights Reserved.
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 */

package org.bluestemsoftware.open.eoa.ext.engine.spring10.util;

import org.bluestemsoftware.specification.eoa.component.intrface.rt.ActionContext;

/**
 * Used by SpringOperationReference to implement wait notify mechanism for synchronous partner
 * invocations.
 */
public class PartnerCallback {

    private String requestMessageID;
    private transient ActionContext partnerResponse;

    public PartnerCallback(String requestMessageID) {
        this.requestMessageID = requestMessageID;
    }

    public ActionContext getPartnerResponse() {
        return partnerResponse;
    }

    public String getRequestMessageID() {
        return requestMessageID;
    }

    public void setPartnerResponse(ActionContext partnerResponse) {
        this.partnerResponse = partnerResponse;
    }

}
